diff mbox series

[v2,1/2] dependencies.sh: Check for a host python version >= 2.7

Message ID 20181215205407.78688-1-aduskett@gmail.com
State Changes Requested
Headers show
Series [v2,1/2] dependencies.sh: Check for a host python version >= 2.7 | expand

Commit Message

Adam Duskett Dec. 15, 2018, 8:54 p.m. UTC
From: Adam Duskett <Aduskett@gmail.com>

Older distributions such as CentOS6 come with python2.6, which causes build
failures in packages such as host-libglib2 because they require python2.7 or
above.

CentOS6 does have the centos-release-scl which allows users to install
python2.7, making this transition reasonably easy.

Debian 6 and 7 have reached EOL, and Debian 8 comes with Python 2.7, so
this patch should be relatively low impact.

Signed-off-by: Adam Duskett <Aduskett@gmail.com>
---
Changes v1 -> v2:
  - Updated version requirement in prerequisite.txt

 support/dependencies/dependencies.sh | 8 ++++++++
 1 file changed, 8 insertions(+)
diff mbox series

Patch

diff --git a/support/dependencies/dependencies.sh b/support/dependencies/dependencies.sh
index 58c34d880f..d0b6bdc23a 100755
--- a/support/dependencies/dependencies.sh
+++ b/support/dependencies/dependencies.sh
@@ -181,6 +181,14 @@  if test "${missing_progs}" = "yes" ; then
 	exit 1
 fi
 
+# Check that the python version is at least 2.7
+PYTHON_VERSION=$(python -V 2>&1 |awk '{print $2}')
+if [ $(echo $PYTHON_VERSION |sed -e 's/\.//g') -lt 2700 ]; then
+	echo
+	echo "You have python '$PYTHON_VERSION' installed.  Python >= 2.7 is required"
+	exit 1;
+fi
+
 if grep ^BR2_NEEDS_HOST_UTF8_LOCALE=y $BR2_CONFIG > /dev/null; then
 	if ! which locale > /dev/null ; then
 		echo